[!!!Read this!!!]

## By setting this to true, you as the EggsSkills user agrees to not complain about bugs that may stem from mismatched configs.  Before submitting a bug report, delete the config file (It will automatically be regenerated at default values), restart the game, and attempt to recreate the bug first.  Config values will automatically be applied as default unless this is set to true
# Setting type: Boolean
# Default value: false
ConfigEditingAgreement = false

[!!Achievements!!]

## Set to true to unlock all EggsSkills' achievements automatically.  Does not require ConfigEditingAgreement to be true to function
# Setting type: Boolean
# Default value: false
UnlockAll = false

[!EnabledSkills!]

## Set to false to prevent EggsSkills' Artificer skills from listing
# Setting type: Boolean
# Default value: true
EnableArtificerSkills = true

## Set to false to prevent EggsSkills' Bandit skills from listing
# Setting type: Boolean
# Default value: true
EnableBanditSkills = true

## Set to false to prevent EggsSkills' Mercenary skills from listing
# Setting type: Boolean
# Default value: true
EnableMercSkills = true

## Set to false to prevent EggsSkills' Engineer skills from listing
# Setting type: Boolean
# Default value: true
EnableEngiSkills = true

## Set to false to prevent EggsSkills' Loader skills from listing
# Setting type: Boolean
# Default value: true
EnableLoaderSkills = true

## Set to false to prevent EggsSkills' Commando skills from listing
# Setting type: Boolean
# Default value: true
EnableCommandoSkills = true

## Set to false to prevent EggsSkills' Acrid skills from listing
# Setting type: Boolean
# Default value: true
EnableCrocoSkills = true

## Set to false to prevent EggsSkills' Huntress skills from listing
# Setting type: Boolean
# Default value: true
EnableHuntressSkills = true

## Set to false to prevent EggsSkills' MUL-T skills from listing
# Setting type: Boolean
# Default value: true
EnableMULTSkills = true

## Set to false to prevent EggsSkills' REX skills from listing
# Setting type: Boolean
# Default value: true
EnableREXSkills = true

## Set to false to prevent EggsSkills' Captain skills from listing
# Setting type: Boolean
# Default value: true
EnableCaptainSkills = true

## Set to false to prevent EggsSkills' Railgunner skills from listing
# Setting type: Boolean
# Default value: true
EnableRailgunnerSkills = true

## Set to false to prevent EggsSkills' Void Fiend skills from listing
# Setting type: Boolean
# Default value: true
EnableVoidFiendSkills = true

[AcridConfigs]

## Radius that Acrid's Expunge will affect upon detonation
# Setting type: Single
# Default value: 16
PurgeRadius = 16

## What should the angle of the cone for hitting enemies for Acrid's Caustic Spray be?
# Setting type: Single
# Default value: 20
PoisonBreathAngle = 20

[ArtificerConfigs]

## Radius of a minimum charge cast of Artificer's Quantum Transposition
# Setting type: Single
# Default value: 4
ZapportBaseRadius = 4

[BanditConfigs]

## How long the damage / speed buff from Bandit's Kinetic Refractor lasts
# Setting type: Single
# Default value: 3
InvisSprintBuffDuration = 3

## What is the max amount of times Bandit's Bounce should ricochet to new targets
# Setting type: Int32
# Default value: 1
MagicBulletRicochet = 1

[CaptainConfigs]

## Radius of Captain's Tracking Grenade explosion
# Setting type: Single
# Default value: 20
DebuffnadeRadius = 20

## How many pellets per shot from Captain's Mercury Repeater
# Setting type: UInt32
# Default value: 8
AutoshotgunPellets = 8

[CommandoConfigs]

## How many bullets are fired per shot from Commando's Flechette Rounds
# Setting type: UInt32
# Default value: 6
ShotgunPellets = 6

## How long should the Commando's Tactical Pursuit post-dash invulnerability last
# Setting type: Single
# Default value: 1
DashBuffTimer = 1

[EngiConfigs]

## How many times should Engineer's Shock Mines deal damage before dissapearing
# Setting type: Int32
# Default value: 5
TeslaminePulseCount = 5

## How many extra micromissiles should be fired per turret per salvo from Engineer's Guided Salvo ability?
# Setting type: Int32
# Default value: 0
BonusMicromissileSalvoCount = 0

[HuntressConfigs]

## How many bomblets are released from Huntress' Bomb Arrow.  Crits always release 1.5x this amount
# Setting type: Int32
# Default value: 8
ArrowBomblets = 8

[LoaderConfigs]

## Radius of a minimum (10%) barrier cast of Loader's Barrier Buster
# Setting type: Single
# Default value: 10
ShieldsplodeRadius = 10

ShieldsplodeRemoveBarrierOnUse = true

[MercConfigs]

## What is the range on merc stunning enemies with Execute
# Setting type: Single
# Default value: 16
SlashportHealthFraction = 16

[MULTConfigs]

## How many nanobot swarms should MUL-T's Nanobot Swarm ability fire out per enemy
# Setting type: Int32
# Default value: 3
NanobotCount = 3

[RailgunnerConfigs]

## Should Railgunner's Lancer Rounds pierce everything
# Setting type: Boolean
# Default value: false
LanceWallPenetration = false

[REXConfigs]

## Radius at which enemies should be affected by REX's DIRECTIVE: Respire
# Setting type: Single
# Default value: 30
PullRange = 30

## Should REX's DIRECTIVE: Respire be capped in how fast it can pulse
# Setting type: Boolean
# Default value: true
PullSpeedCap = true

[VoidFiendConfigs]

## Radius of Void Fiend's 
# Setting type: Single
# Default value: 24
ExplosionRadius = 24

